@import './theme';

label[for] {
  display: block;

  &.button {
    display: inline-block;
    padding-top: 8px;
  }
}

input[type=checkbox] {
  transform: scale(1.5);
}

input[type=text], input[type=password], textarea {
  width: 100%;
  padding: 12px 20px;
  font-size: inherit;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid $gray;
  border-radius: 4px;
  box-sizing: border-box;
}

textarea {
  resize: vertical;
}

input[type=submit] {
    width: 100%;
    background-color: $form-primary-color;
    color: #fff;
    padding: 14px 20px;
    font-size: 13px;
    font-weight: bold;
    margin: 8px 0;
    border: none;
    border-radius: 2px;
    cursor: pointer;
    text-transform: uppercase;
}

input[type=file] {
  @extend .button;
  width: 100%;
  padding: 0;
  margin: 8px 0;
  cursor: pointer;
}

.button {
  display: inline-block;
  padding: 0 10px;
  border: solid 1px #d3d3d3;
  min-height: 36px;
  background: #f8f8f8;
  vertical-align: middle;
  font-size: 15px;
  text-align: center;
  color: #333;
  border-radius: 2px;
  box-shadow: 0 1px 0 rgba(0,0,0,0.05);
  box-sizing: border-box;
  cursor: pointer;
}

button {
  cursor: pointer;
}

.filter-item {
  @extend .button;
  margin: 8px 0;

  .filter-item-select {
    padding-right: 17px;
    border: 0;
    font-size: 14px;
    font-weight: normal;
    height: 36px;
    -webkit-appearance: none;
    width: 100%;
    background: none;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAAECAYAAACzzX7wAAAABHNCSVQICAgIfAhkiAAAAAlwSFlzAAALEgAACxIB0t1+/AAAABx0RVh0U29mdHdhcmUAQWRvYmUgRmlyZXdvcmtzIENTNui8sowAAAApSURBVAgdY/j//z9DaGjof1yYAaQABLApAMvBFKArAoljKIApgkmCaAAtOD3DvNzNYQAAAABJRU5ErkJggg==);
    background-repeat: no-repeat;
    background-position: right;
    white-space: nowrap;
    word-wrap: normal;
    text-overflow: ellipsis;
    border-radius: 4px;
    box-sizing: border-box;
  }
}

.collapsible-title-button {
  color: $text-color;
  font-weight: normal;
  font-size: 18px;
  margin: 0;
  // outline: 0;
  padding: 0;
  width: 100%;
  text-align: left;
  background: none;
  border: none;
  cursor: pointer;

  &.condensed::after, &.expanded::after {
    display: block;
    content: '';
    position: absolute;
    right: 12px;
    top: 18px;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
  }

  &.condensed::after {
    border-top: 6px solid #555;
  }

  &.expanded::after {
    border-bottom: 6px solid #555;
  }
}

.linkBtn {
  background: none !important;
  border: none;
  padding: 0!important;
  font: inherit;
  color: $form-primary-color;
  cursor: pointer;
  text-decoration: none;
}
